<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersichtDerMitarbeiter\KursUebersicht\Detailsreiter\KursDetails;


class KursDetailsUseCase extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\KursDetails\KursDetailsUseCase
{
  public static function getToolId()
  {
    return 61;
  }

  public static function getToolSectionId()
  {
    return 724;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!\Kufer\KuferTools\Basis\UseCase\ToolUseCase::hasAccess(722)) {
      return false;
    }
    if (!$this->isRechtAllowed('722.1.2')) {
      return false;
    }

    return true;
  }
}